API reference
Replace seller scopes
PUT
/v1/sellers/{sellerId}/scopesAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sellerId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/sellers/string/scopes" \ -H "Content-Type: application/json" \ -d '{ "scopes": [ { "type": "category", "categoryId": null, "brandId": null, "includeChildrenCategories": true } ] }'[ { "id": "string", "type": "category", "categoryId": null, "brandId": null, "includeChildrenCategories": true, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null }]